Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-59825

Can't update git client plugin

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      I'm new to Jenkins.  I installed the various git plugins and had it working for a pipeline project.  Recently, Jenkins notified me of a security vulnerability for the git client.  I choose to downgrade from 3.0 to the previous version.  After doing that, my pipeline lost it's reference to the git login.  Any new pipelines doesn't list git as a choice.  When I go into the manage plugins, it doesn't list the git-client with an available update.  How do I get it back to using the 3.x version?

       

      I found the solution.  I went to https://updates.jenkins-ci.org/download/plugins/ and downloaded .hpi files for git plugin 3.12.1 & git-client 2.8.6.  I used the "Advanced" tab within the "Managed Plugins" page and used the update plugins section to install these versions. 

        Attachments

          Activity

          hillro Robert Hill created issue -
          hillro Robert Hill made changes -
          Field Original Value New Value
          Description I'm new to Jenkins.  I installed the various git plugins and had it working for a pipeline project.  Recently, Jenkins notified me of a security vulnerability for the git client.  I choose to downgrade from 3.0 to the previous version.  After doing that, my pipeline lost it's reference to the git login.  When I go into the manage plugins, it doesn't list the git-client with an available update.  How do I get it back to using the 3.x version? I'm new to Jenkins.  I installed the various git plugins and had it working for a pipeline project.  Recently, Jenkins notified me of a security vulnerability for the git client.  I choose to downgrade from 3.0 to the previous version.  After doing that, my pipeline lost it's reference to the git login.  Any new pipelines doesn't list git as a choice.  When I go into the manage plugins, it doesn't list the git-client with an available update.  How do I get it back to using the 3.x version?
          hillro Robert Hill made changes -
          Description I'm new to Jenkins.  I installed the various git plugins and had it working for a pipeline project.  Recently, Jenkins notified me of a security vulnerability for the git client.  I choose to downgrade from 3.0 to the previous version.  After doing that, my pipeline lost it's reference to the git login.  Any new pipelines doesn't list git as a choice.  When I go into the manage plugins, it doesn't list the git-client with an available update.  How do I get it back to using the 3.x version? I'm new to Jenkins.  I installed the various git plugins and had it working for a pipeline project.  Recently, Jenkins notified me of a security vulnerability for the git client.  I choose to downgrade from 3.0 to the previous version.  After doing that, my pipeline lost it's reference to the git login.  Any new pipelines doesn't list git as a choice.  When I go into the manage plugins, it doesn't list the git-client with an available update.  How do I get it back to using the 3.x version?

           

          I found the solution.  I went to [https://updates.jenkins-ci.org/download/plugins/] and downloaded .hpi files for git plugin 3.12.1 & git-client 2.8.6.  I used the "Advanced" tab within the "Managed Plugins" page and used the update plugins section to install these versions. 
          hillro Robert Hill made changes -
          Assignee Robert Hill [ hillro ]
          Resolution Fixed [ 1 ]
          Status Open [ 1 ] Resolved [ 5 ]
          markewaite Mark Waite made changes -
          Status Resolved [ 5 ] Closed [ 6 ]

            People

            Assignee:
            hillro Robert Hill
            Reporter:
            hillro Robert Hill
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: